Mailinglist Archive: opensuse-factory (378 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191123 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Mon, 25 Nov 2019 12:02:31 +0000
  • Message-id: <157468335189.10496.9837366073055823066@go-agent-stagingbot-1>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191123

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
brotli
dbus-1
dbus-1-x11
gimp
gmime (3.2.4 -> 3.2.5)
gnome-control-center
gnome-shell-extension-desktop-icons (19.10.1 -> 19.10.2)
grilo
hylafax+ (7.0.0 -> 7.0.1)
kdepim-runtime
kernel-firmware (20191108 -> 20191118)
libdbusmenu-gtk2
libdbusmenu-gtk3
libidn2 (2.2.0 -> 2.3.0)
librsvg
nfs-utils
open-iscsi (0.7.8.4 -> 0.7.8.6)
orca (3.34.0 -> 3.34.1)
perl-Clone (0.41 -> 0.43)
permissions (1550_20190913 -> 1550_20191118)
totem-pl-parser (3.26.3 -> 3.26.4)
udisks2 (2.8.3 -> 2.8.4)
vala (0.46.4 -> 0.46.5)
virt-manager
vte

=== Details ===

==== brotli ====
Subpackages: libbrotlicommon1 libbrotlidec1 libbrotlienc1

- %make_jobs is deprecated and replaced by %cmake_build

==== dbus-1 ====
Subpackages: libdbus-1-3 libdbus-1-3-32bit

- Fix two inconsistencies with _libexecdir, sysusers.d and
tmpfiles.d are always in %{_prefix}/lib/.
- Drop update-desktop-files BuildRequires, once added for
mimetypes.prov which is no longer part of update-desktop-files,
and dbus-1.desktop does not even handles a single mimetype.

==== dbus-1-x11 ====

- Fix two inconsistencies with _libexecdir, sysusers.d and
tmpfiles.d are always in %{_prefix}/lib/.
- Drop update-desktop-files BuildRequires, once added for
mimetypes.prov which is no longer part of update-desktop-files,
and dbus-1.desktop does not even handles a single mimetype.
- Replace DISABLE_RESTART_ON_UPDATE with
%service_del_postun_without_restart
- Remove version specific code to block all updates on restart as
hopefully no tumbleweed versions still have code causing those
issues (was only present for a few snapshots)

==== gimp ====
Subpackages: gimp-lang gimp-plugin-aa gimp-plugins-python libgimp-2_0-0
libgimpui-2_0-0

- Fix build for %arm and ppc64 by adding '-lm' to LDFLAGS

==== gmime ====
Version update (3.2.4 -> 3.2.5)

- Update to version 3.2.5:
+ Modified GMimeParser to prevent stack overflows when parsing
deeply nested messages. GMimeParser now has a limit on how deep
multipart and/or message/rfc822 MIME part nesting is allowed to
go before the parser will take action to prevent a stack
overflow. If the max level is reached at a message/rfc822 part,
then that part will be consumed by the parser as a generic
GMimePart rather than a GMimeMessagePart. Likewise, if the max
level is reached at any type of multipart, then the content of
said multipart will be packed into the GMimeMultipart's preface
and not parsed any further.
+ g_mime_multipart_foreach has been rewritten to avoid recursion,
thereby avoiding potential stack overflows.
+ The gmime-port-2-6-to-3-0.sh script has been fixed to use
proper sed syntax.

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Rebase gnome-control-center-bring-back-firewall-zone.patch
- BuildRequires /usr/bin/Xvfb instead of the xorg-x11-server-Xvfb
package. This is for the compatibility with older X packages where
Xvfb is not splitted.

==== gnome-shell-extension-desktop-icons ====
Version update (19.10.1 -> 19.10.2)

- Drop superfluous tarball, we use sourceservice during build.
- Update to version 19.10.2:
* desktopGrid.js: fix rename button
* General: Fix thumbnails not centered
* desktopGrid: Properly inherit Placeholder from a GObject class
* desktopGrid: Use default upstream styling for rename popup
* desktopGrid: Derive the RenamePoup from PopupMenu
* desktopGrid: Open the rename popup only when item menu is
closed

==== grilo ====
Subpackages: grilo-lang libgrilo-0_3-0 libgrlnet-0_3-0 libgrlpls-0_3-0
typelib-1_0-Grl-0_3

- Add grilo-fix-build-totem-pl-parser.patch: Fix build with
totem-pl-parser 3.26.4.

==== hylafax+ ====
Version update (7.0.0 -> 7.0.1)
Subpackages: hylafax+-client

- Version 7.0.1
* create a client timeout setting and change the default from 60 to
3600 seconds (26 Sep 2019)
* extend timeout for receiving ECM frames (21 Aug 2019)
* fix timeout in Class 1 frame reception (5 Aug 2019)
* improve Class 1 protocol handling when MaxRecvPages exceeded (31 Jul 2019)
* fix ModemGroup limit default (11 Jul 2019)
* fix recovery for SSL Fax write failures (6 Jun 2019)
- build fails with libtiff 4.1: pretend, that 4.1 is similar to 4.0

==== kdepim-runtime ====
Subpackages: kdepim-runtime-lang

- Add 0001-Sanity-check-collection-path-before-performing-recur.patch to fix a
potential data loss issue (kde#414178)

==== kernel-firmware ====
Version update (20191108 -> 20191118)
Subpackages: kernel-firmware-all kernel-firmware-amdgpu kernel-firmware-ath10k
kernel-firmware-atheros kernel-firmware-bluetooth kernel-firmware-bnx2
kernel-firmware-brcm kernel-firmware-chelsio kernel-firmware-dpaa2
kernel-firmware-i915 kernel-firmware-intel kernel-firmware-iwlwifi
kernel-firmware-liquidio kernel-firmware-marvell kernel-firmware-media
kernel-firmware-mediatek kernel-firmware-mellanox kernel-firmware-mwifiex
kernel-firmware-network kernel-firmware-nfp kernel-firmware-nvidia
kernel-firmware-platform kernel-firmware-qlogic kernel-firmware-radeon
kernel-firmware-realtek kernel-firmware-serial kernel-firmware-sound
kernel-firmware-ti kernel-firmware-ueagle kernel-firmware-usb-network ucode-amd

- Update to version 20191118 (git commit e8a0f4c93147):
* rtl_nic: add firmware rtl8168fp-3
* linux-firmware: Update NXP Management Complex firmware to version 10.18.0
- Update to version 20191113 (git commit c62c3c26a5e7):
* linux-firmware: Update firmware file for Intel Bluetooth AX201
* linux-firmware: Update firmware file for Intel Bluetooth AX200
* linux-firmware: Update firmware file for Intel Bluetooth 9560
* linux-firmware: Update firmware file for Intel Bluetooth 9260
* amdgpu: update navi14 vcn firmware
* amdgpu: update navi10 vcn firmware

==== libdbusmenu-gtk2 ====

- Work around OBS idiosyncrasies regarding packages name.
- Drop dependency on deprecated gnome-common, just run autoreconf
- Do not include unused tree_index.sgml, fix build with gtk-doc >= 1.32,
see https://gitlab.gnome.org/GNOME/gtk-doc/issues/103
* add 0001-Fix-build-with-gtk-doc-1.32-due-to-non-existing-tree.patch
- Fix missing accelerators, add
0002-genericmenuitem-Make-accelerator-text-appear-again.patch
- Split Gtk2 and Gtk3 build - glib, tools and doc subpackage are created
from the Gtk2 flavor.
* Fix building with disabled tests, add
0003-Fix-HAVE_VALGRIND-AM_CONDITIONAL.patch

==== libdbusmenu-gtk3 ====

- Work around OBS idiosyncrasies regarding packages name.
- Drop dependency on deprecated gnome-common, just run autoreconf
- Do not include unused tree_index.sgml, fix build with gtk-doc >= 1.32,
see https://gitlab.gnome.org/GNOME/gtk-doc/issues/103
* add 0001-Fix-build-with-gtk-doc-1.32-due-to-non-existing-tree.patch
- Fix missing accelerators, add
0002-genericmenuitem-Make-accelerator-text-appear-again.patch
- Split Gtk2 and Gtk3 build - glib, tools and doc subpackage are created
from the Gtk2 flavor.
* Fix building with disabled tests, add
0003-Fix-HAVE_VALGRIND-AM_CONDITIONAL.patch

==== libidn2 ====
Version update (2.2.0 -> 2.3.0)
Subpackages: libidn2-0 libidn2-0-32bit libidn2-lang

- update to 2.3.0:
* Update the data tables from Unicode 6.3.0 to Unicode 11.0
* Turn _idn2_punycode_encode, _idn2_punycode_decode into compat
symbols

==== librsvg ====
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 librsvg-lang rsvg-thumbnailer
typelib-1_0-Rsvg-2_0

- Add explicit conflicts between rsvg-convert and rsvg-view <=2.45.7.
- Fix incorrect obsoletes for rsvg-view.

==== nfs-utils ====
Subpackages: libnfsidmap1 nfs-client nfs-doc nfs-kernel-server

- nfs-utils.spec - don't chown when not needed.
Only chown directories in /var/lib/nfs to statd
if they are currently owned by root.
The chown is needed for some upgrades, but if the
dirs are already owned by statd, an vulnerability in
statd could be escalated to root.
(bsc#1157321)

==== open-iscsi ====
Version update (0.7.8.4 -> 0.7.8.6)
Subpackages: iscsiuio libopeniscsiusr0_2_0

- Merged in latest upstream (2.1.0), including more fixes for
iscsiuio, and cleanup/bug-fixes of new CHAP code.
This replaces open-iscsi-2.0.878-suse.tar.bz2 with
open-iscsi-2.1.0-suse.tar.bz2, and it resets
open-iscsi-SUSE-latest.diff.bz2 with fixes after 2.1.0-suse.
Also, updated the Summary lines in the spec file that
started with "iSCSI ...", since rpmlint didn't like
them starting with a non-capital letter, and updated the
version number for iscsiuio to match the code.
- Use SPEC-file macro for systemd generator directory, since
the libexec macro is changing from /usr/lib to /usr/libexec.

==== orca ====
Version update (3.34.0 -> 3.34.1)
Subpackages: orca-lang

- Update to version 3.34.1:
+ Web:
- Continued improvement of Orca's support for Chromium
- Improve accuracy of synthesized clicks on web pages
- Be sure we don't override sticky browse mode for top-level
web apps
- Fix bug causing Orca to not present button name during Say
All
- Improve presentation of selection of links which span
multiple lines
+ General:
- Ensure we speak selected switcher item even when the user has
set onlySpeakDisplayedText
- Improve reliability of unfocusedAlertAndDialogCount()
- Correct the position and size reported for selectable table
rows
- Don't present GtkComboBox selection changes if we're not
on/in that widget
- Present position in list for tables
- Filter out duplicate clipboard contents changed notifications
- Filter out bogus window focus claims from gnome-shell
- Add handling for accessible app names which start with "org."
or "com."
+ Updated translations.

==== perl-Clone ====
Version update (0.41 -> 0.43)

- updated to 0.43
see /usr/share/doc/packages/perl-Clone/Changes
0.43 2019-07-29 13:47:42 atomic
- fix an issue when cloning a NULL mg_ptr pointer
- updated to 0.42
see /usr/share/doc/packages/perl-Clone/Changes
0.42 2019-07-19 23:06:04 garu
- make handling of mg_ptr safer (ATOOMIC, Harald Jörg)
- change license wording on some test files to
make the entire dist released under the same
terms as Perl itself (fixes GH#20) (GARU)

==== permissions ====
Version update (1550_20190913 -> 1550_20191118)
Subpackages: chkstat permissions-config permissions-doc

- Update to version 20191118:
* whitelist ksysguard network helper (bsc#1151190)
- Update to version 20191112:
* fix syntax of paranoid profile
* fix squid permissions (bsc#1093414, CVE-2019-3688)

==== totem-pl-parser ====
Version update (3.26.3 -> 3.26.4)
Subpackages: libtotem-plparser-mini18 libtotem-plparser18 totem-pl-parser-lang
typelib-1_0-TotemPlParser-1_0

- Update to version 3.26.4:
+ Apply same check to remote text files as local ones, which
should fix parsing of directories on network file systems.
+ Add totem_pl_parser_add_ignored_glob() API, to force ignore
some files depending on how they are named, before we even get
to checking their contents.
+ Fix a number of compilation warnings.

==== udisks2 ====
Version update (2.8.3 -> 2.8.4)
Subpackages: libudisks2-0 libudisks2-0_btrfs udisks2-lang

- Update to version 2.8.4:
+ This udisks-2.8.4 release brings couple of bugfixes, docs and
test fixes and translation updates. With ongoing focus on
development towards udisks-2.9.0, this is just a small
maintenance release.

==== vala ====
Version update (0.46.4 -> 0.46.5)
Subpackages: libvala-0_46-0

- Update to version 0.46.5:
+ Regression and bug fixes:
- codegen:
. Fix vfunc signature of delegate-typed property in interface
. Fix support of dynamic DBus methods
- vala:
. Don't require constant initializer in fast-vapi
. Report error for async creation expression without yield
+ Bindings: glib-2.0: Add "has_typedef = false" to custom
MarkupParser*Func delegates

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1157097 - PV guest on_reboot event be set to 'destroy' by
default
virtinst-pvgrub2-bootloader.patch
- Rebased patches
virtinst-change-location-for-grub_xen.patch
virtman-increase-setKeepAlive-count.patch

==== vte ====
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91 vte-lang

- Add explicit BuildRequires pkgconfig(fribidi) >= 1.0.0.
- Add minimal version for pcre2 BuildRequires.


N�����r��y隊Z)z{.���r�+�맲��r��z�^�ˬz��N�(�֜��^� ޭ隊Z)z{.���r�+��0�������Ǩ�
< Previous Next >
This Thread
  • No further messages